#### D.4.28.3 minAssZ

Procedure from library `primdecint.lib` (see primdecint_lib).

Usage:
  minAssZ(I); I ideal
  The coefficients must be ZZ.

Return:
  a list pr of associated primes:

Example:

    LIB "primdecint.lib";
    ring R=integer,(a,b,c,d),dp;
    ideal I1=9,a,b;
    ideal I2=3,c;
    ideal I3=11,2a,7b;
    ideal I4=13a2,17b4;
    ideal I5=9c5,6d5;
    ideal I6=17,a15,b15,c15,d15;
    ideal I=intersectZ(I1,I2);
    I=intersectZ(I,I3);
    I=intersectZ(I,I4);
    I=intersectZ(I,I5);
    I=intersectZ(I,I6);
    minAssZ(I);
    ==> [1]:
    ==>    _[1]=d
    ==>    _[2]=c
    ==> [2]:
    ==>    _[1]=b
    ==>    _[2]=a
    ==> [3]:
    ==>    _[1]=2
    ==>    _[2]=c
    ==> [4]:
    ==>    _[1]=3
    ==> [5]:
    ==>    _[1]=13
    ==>    _[2]=b
    ==> [6]:
    ==>    _[1]=17
    ==>    _[2]=a
    ideal J=intersectZ(ideal(17,a),ideal(17,a2,b));
    minAssZ(J);
    ==> [1]:
    ==>    _[1]=17
    ==>    _[2]=a
    ideal K=intersectZ(ideal(9,a+3),ideal(9,b+3));
    minAssZ(K);
    ==> [1]:
    ==>    _[1]=3
    ==>    _[2]=b
    ==> [2]:
    ==>    _[1]=3
    ==>    _[2]=a

User manual for Singular version 4.4.1, 2025, generated by texi2html.